/*
 * StandardButton.java
 *
 * Copyright (C) 2000-2002 Peter Graves
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.armedbear.j;

import java.awt.Dimension;
import javax.swing.JButton;

public final class StandardButton extends JButton
{
    public static final int DEFAULT_WIDTH = 80;
    public static final int DEFAULT_HEIGHT = 24;

    public StandardButton(String text)
    {
        super(text);
        if (Editor.lookAndFeel == null) {
            Dimension dim = new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT);
            setMinimumSize(dim);
            setMaximumSize(dim);
            setPreferredSize(dim);
        }
    }

    public StandardButton(String text, int width, int height)
    {
        super(text);
        Dimension dim = new Dimension(width, height);
        setMinimumSize(dim);
        setMaximumSize(dim);
        setPreferredSize(dim);
    }
}
